/*
 * Created on 22.12.2004
 */
package com;

import java.util.Iterator;

import com.common.Analyzer;
import com.common.MailSeans;

/**
 * @author nemo
 */
public class ProcessThread extends Thread {

	private MailChecker _mainPan;

	private boolean isStop = false;

	public void setStop() {
		isStop = true;
	}

	public ProcessThread(MailChecker mainPan) {
		_mainPan = mainPan;
		start();
	}

	public void run() {
		_mainPan.clearResults();
		_mainPan.getProgressBar().setStatustext("Processing data....");
		Iterator i = _mainPan.getDataSave().getRawData().iterator();
		_mainPan._max = _mainPan.getDataSave().getRawData().size();
		while (i.hasNext()) {
			if (isStop)
				return;
			Analyzer.putSeansRow(_mainPan.getDataSave(), (MailSeans) i.next());
			_mainPan._value++;
		}
		_mainPan.getProgressBar().setStatustext("Allmost Done....");
		_mainPan.getDataSave().flushUsers();
		_mainPan._value = 0;
		_mainPan.getProgressBar().setStatustext("Done.");
		_mainPan.showResultUsers();
	}

}
