package com.common;
import java.util.HashMap;

/*
 * Created on 13.12.2004
 */

/**
 * @author nemo
 */
public class DomainBox extends UserBox{
	
	private HashMap <String ,UserBox> users = new HashMap <String ,UserBox> ();
	
	private HashMap usersFilter;
	
	public void setUsersFilter(HashMap ufilter) {
		usersFilter = ufilter;
	}
	
	public Object getField(int ind) {
		Object ret = "";
		switch (ind) {
		case 1:	ret = _name;
		break;
		case 2:	ret = _incoming;
		break;
		case 3:	ret = _outgoing;
		break;
		case 4:	ret = _localIn;
		break;
		case 5:	ret = _localOut;
		break;
		}
		return ret;
	}
	
	public Object getValueAt(int columnIndex)  {
		return getField(columnIndex);
	}
	
	public HashMap  <String ,UserBox> getUsers() {
		return users;
	} 
	
	public int getUserCount() {
		return users.size();
	}
	
	public int geRowCount() {
		if(_isExpanded) {
			return getUserCount()+1;
		}
		return 1;
	}
	
	public boolean isUserFiltered(String user) {
		if(usersFilter == null)
			return true;
		if(usersFilter.size() == 0)
			return true;
		UserFileDomBox dbox = (UserFileDomBox) usersFilter.get(user);
		//System.out.println(user);
		if(dbox != null) {
			if(dbox.isChecked())
				return true;
		}
		return false;
	}
	
	public void putSeansOutgoing(String userName, int bytes) {
		UserBox _user = null;
		if( isUserFiltered(userName)) {
			_user = users.get(userName);
			if(_user == null) 
				_user = new UserBox(userName, this);
			_user.AddBytesOutgoing(bytes);
		users.put(userName,_user);
		this.AddBytesOutgoing(bytes);
		}
	}
	
	public void putSeansIncoming(String userName, int bytes) {
		UserBox _user = null;
		if( isUserFiltered(userName)) {
			_user = users.get(userName);
			if(_user == null) 
				_user = new UserBox(userName, this);
			_user.AddBytesIncoming(bytes);
		users.put(userName,_user);
		this.AddBytesIncoming(bytes);
		}
	}
	
	public void putSeansLocalIn(String userName, int bytes) {
		UserBox _user = null;
		if( isUserFiltered(userName)) {
			_user = users.get(userName);
			if(_user == null) 
				_user = new UserBox(userName, this);
			_user.AddBytesLocalIn(bytes);
		users.put(userName,_user);
		this.AddBytesLocalIn(bytes);
		}
	}
	
	public void putSeansLocalOut(String userName, int bytes) {
		UserBox _user = null;
		if( isUserFiltered(userName)) {
			_user = users.get(userName);
			if(_user == null) 
				_user = new UserBox(userName, this);
			_user.AddBytesLocalOut(bytes);
		users.put(userName,_user);
		this.AddBytesLocalOut(bytes);
		}
	}

	public DomainBox(String dName) {
		super(dName,null);
		_name = dName;
	}

}
