/*
 * Created on 01.01.2005
 */
package com.custom;

import java.io.Serializable;
import java.util.HashMap;

/**
 * @author nemo
 */
public class PropKit  implements Serializable {
	/**
	 * Comment for <code>serialVersionUID</code>
	 */
	private static final long serialVersionUID = 3257007648661910841L;

	private  String _kitName;

	private HashMap <String,IProperty> props = new HashMap <String,IProperty>();
	
	private HashMap <String,PropKit> propKits = new HashMap <String,PropKit>();
	
	public PropKit(String kitName) {
		_kitName = kitName;
	}
	
	public void putProp(IProperty prop) {
		props.put(prop.getName(),prop);
	}
	
	public HashMap <String,PropKit> getPropKits() {
		return propKits;
	}
	
	public IProperty getPropByName(String propName) {
		return props.get(propName);
	}
	
	public int getPropCount() {
		return props.size();
	}
	
	public HashMap getProps() {
		return props;
	}
	
	public String getkitName() {
		return _kitName;
	}
	
}
