package com.dialogs;
import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Component;
import java.awt.FlowLayout;
import java.awt.Font;
import java.awt.Frame;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.JDialog;
import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.SwingUtilities;

import com.common.PositionUtilities;

/*
 * Created on 18.12.2004
 */

/**
 * @author nemo
 */
public class AboutDialog extends JDialog{
	
	/**
	 * Comment for <code>serialVersionUID</code>
	 */
	private static final long serialVersionUID = 3258412820210399031L;

	public AboutDialog(Component owner) {
		super((Frame) SwingUtilities.getWindowAncestor( owner),true);
		getContentPane().setLayout(new BorderLayout());
		getContentPane().add(getMainPan(),BorderLayout.CENTER);
		setFont(new Font("Tahoma",Font.BOLD,18));
		setSize(200,120);
		PositionUtilities.setCentered(this);
		setResizable(false);
		setVisible(true);
	}

	private Component getMainPan() {
		JPanel pan = new JPanel();
		pan.setLayout(new FlowLayout(FlowLayout.CENTER));
		JLabel atxt = new JLabel("Designed by",SwingUtilities.CENTER);
		atxt.setBackground(new Color(110,210,255));
		//pan.add(atxt);
		//atxt.setFont(new Font("Tahoma",Font.BOLD,18));
		Box bv = Box.createVerticalBox();
		//bv.add(Box.createVerticalStrut(5));
		bv.add(atxt);
		bv.add(Box.createVerticalStrut(5));
		atxt = new JLabel("Sergey Sukhotskiy");
		atxt.setBackground(new Color(110,210,255));
		bv.add(atxt);
		bv.add(Box.createVerticalStrut(5));
		atxt = new JLabel("sergey@dirsync.net");
		atxt.setBackground(new Color(110,210,255));
		bv.add(atxt);
		bv.add(Box.createVerticalStrut(5));
		atxt = new JLabel("(C) 2004-2005");
		atxt.setBackground(new Color(110,210,255));
		bv.add(atxt);
		//JPanel pan = new JPanel();
		//pan.setLayout(new BorderLayout());
		pan.add(bv);
		pan.setBorder(BorderFactory.createEtchedBorder());
		return pan;
	}
	
}
