package com.common;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;

/*
 * Created on 12.12.2004
 */

/**
 * @author nemo
 */
public class DataSave {
	
	private HashMap <String,DomainBox> domains = new HashMap <String,DomainBox>();
	
	private ArrayList <UserBox> usersMail = new ArrayList <UserBox>();
	
	private ArrayList <MailSeans> rawSeanses = new ArrayList <MailSeans>();
	
	private HashMap <String ,FileDomBox> domainsFilter = new HashMap <String ,FileDomBox>();
	
	private HashMap <String ,UserFileDomBox>  usersFilter = new HashMap <String ,UserFileDomBox> ();
	
	private ArrayList <FileBox> fileListRows = new ArrayList <FileBox>();
	
	public ArrayList <FileBox> getFileRows() {
		return fileListRows;
	}
	
	public void flushUsers() {
		Iterator i = domains.values().iterator();
		while(i.hasNext())
			usersMail.addAll((((DomainBox)i.next()).getUsers()).values());
	}
	
	public void clearAll() {
		domains.clear();
		usersMail.clear();
		rawSeanses.clear();
	}
	
	public void clearResults() {
		domains.clear();
		usersMail.clear();
	}
	
	public ArrayList <UserBox> getUsers() {
		return usersMail;
	}
	
	public HashMap <String,DomainBox> getDomains() {
		return domains;
	}
	
	public ArrayList <MailSeans> getRawData() {
		return rawSeanses;
	}	
	
	public HashMap <String ,FileDomBox> getDomainsFilter() {
		return domainsFilter;
	}	
	
	public HashMap <String ,UserFileDomBox> getUsersFilter() {
		return usersFilter;
	}	
	
	public boolean isDomainFiltered(String domain) {
		if(domainsFilter.size() == 0)
			return true;
		FileDomBox dbox =  domainsFilter.get(domain);
		if(dbox != null) {
			if(dbox.isChecked())
				return true;
		}
		return false;
	}
	
	public DomainBox getDomainBox(String domain) {
		DomainBox _dom = null;
		if(isDomainFiltered(domain)) {
			_dom =  domains.get(domain);
			if(_dom == null) {
				_dom = new DomainBox(domain);
				_dom.setUsersFilter(usersFilter);
			}
			domains.put(domain,_dom);
		}
		return _dom;
	}
	
}
