/*
 * Created on 31.12.2004
 */
package com.common;

import java.awt.Component;

import javax.swing.JMenu;
import javax.swing.JMenuBar;
import javax.swing.JMenuItem;
import javax.swing.JToolBar;


/**
 * @author nemo
 */
public class MenuToolBar extends JToolBar{
	
	/**
	 * Comment for <code>serialVersionUID</code>
	 */
	private static final long serialVersionUID = 3832906546077513015L;

	private JMenuBar _menuBar = null;
	
	private JMenu _menu = null;
	
	public MenuToolBar(JMenuBar menuBar,String tbName,int mnemonic) {
		_menuBar = menuBar;
		if(_menuBar != null) {
			_menu = new JMenu(tbName);
			_menu.setMnemonic(mnemonic);
			_menuBar.add(_menu);
		}
	}
	
	public Component addButton(Component comp) {
		super.add(comp);
		if(_menu != null) {
			 JMenuItem _menuItem = ((ToolButton)comp).getMenuItem();
			 if(_menuItem != null)
			_menu.add(_menuItem);
		}
		return comp;
	}

}
