/*
 * Created on 26.12.2004
 */
package com.common;

import java.awt.Component;
import java.awt.GraphicsEnvironment;
import java.awt.Rectangle;

/**
 * @author nemo
 */
public class PositionUtilities {
	
	public static void setCentered(Component client) {
		//JFrame frame = (JFrame)SwingUtilities.getWindowAncestor(client);
		int width = client.getWidth();
		int height = client.getHeight();
		GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
		Rectangle rec = ge.getMaximumWindowBounds();
		double x0 = rec.x + rec.width / 2 - width / 2;
		double y0 = rec.y + rec.height / 2 - height / 2;
		rec.setRect(x0, y0, width, height);
		client.setBounds(rec);
	}
}
