/*
 * Created on 02.01.2005
 */
package com.custom;

import java.awt.Component;
import java.io.Serializable;

/**
 * @author nemo
 */
public abstract class Property  implements Serializable{
	/**
	 * Comment for <code>serialVersionUID</code>
	 */
	private static final long serialVersionUID = 3256728394116050997L;
	
	private String _propName;
	
	private String _propValue;
	
	private boolean _isChanged;
	

	public Property(String name, String value) {
		_propName = name;
		_propValue = value;
	}
	
	public boolean isChanged() {
		return _isChanged;
	}
	
	public void setChanged(boolean val) {
		_isChanged = val;
	}
	
	public String getName() {
		return _propName;
	}
	
	public String getValue() {
		return _propValue;
	}
	
	public void setValue(String val) {
		_propValue = val;
	}
	
	public abstract Component getEditPan();

}
