package com.panels;
import java.awt.BorderLayout;
import java.awt.Font;

import javax.swing.BorderFactory;
import javax.swing.Box;
import javax.swing.JLabel;
import javax.swing.JPanel;

/*
 * Created on 14.12.2004
 */

/**
 * @author nemo
 */
public class StatusBar extends JPanel{
	
	/**
	 * Comment for <code>serialVersionUID</code>
	 */
	private static final long serialVersionUID = 3257281439941669689L;

	public StatusPanel _status;
	
	public  StatusPanel _seanses;
	
	public  StatusPanel _users;
	
	public  StatusPanel _domains;
	
	public StatusBar() {
		setLayout(new BorderLayout());
		_status = new StatusPanel("  Status: ",400);
		_seanses = new StatusPanel("  Seanses: ",150);
		_users = new StatusPanel("  Users: ",150);
		_domains = new StatusPanel("  Domains: ");
		Box bh = Box.createHorizontalBox();
		bh.add(_status);
		bh.add(_seanses);
		bh.add(_users);
		add(bh,BorderLayout.WEST);
		add(_domains,BorderLayout.CENTER);
	}
	
	public class StatusPanel extends JPanel{
		
		/**
		 * Comment for <code>serialVersionUID</code>
		 */
		private static final long serialVersionUID = 3257291314054640432L;

		private JLabel lab = new JLabel();
		
		private String pref;
		
		public StatusPanel(String prefix,int width) {
			pref = prefix;
			lab.setFont(new Font("Tahoma",Font.BOLD,11));
			lab.setText(pref);
			Box bvv = Box.createVerticalBox();
			bvv.add(Box.createVerticalStrut(16));
			setLayout(new BorderLayout());
			setBorder(BorderFactory.createEtchedBorder());
			Box bh = Box.createHorizontalBox();
			bh.add(Box.createHorizontalStrut(width));
			add(bh,BorderLayout.SOUTH);
			add(bvv,BorderLayout.WEST);
			add(lab,BorderLayout.CENTER);
		}
		
		public StatusPanel(String prefix) {
			pref = prefix;
			lab.setFont(new Font("Tahoma",Font.BOLD,11));
			lab.setText(pref);
			Box bvv = Box.createVerticalBox();
			bvv.add(Box.createVerticalStrut(16));
			setLayout(new BorderLayout());
			setBorder(BorderFactory.createEtchedBorder());
			Box bh = Box.createHorizontalBox();
			bh.add(Box.createHorizontalGlue());
			add(bh,BorderLayout.SOUTH);
			add(bvv,BorderLayout.WEST);
			add(lab,BorderLayout.CENTER);
		}
		
		public void setText(String text) {
			lab.setText(pref+text);
		}
	}
}
